%define build_plf 0
%{?_with_plf: %{expand: %%global build_plf 1}} 

%define name	xchat-gnome
%define version	0.5
%define rel	1
%define main_summary	Graphical IRC client for the GNOME desktop 
%define perl_version	%(rpm -q --qf '%%{epoch}:%%{VERSION}' perl)
%define iconname xchat-gnome.png 

%if %build_plf
%define release %{rel}plf
%else
%define release %{rel}mdk
%endif 

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	%{main_summary}
Group:		Networking/IRC
License:	GPL
Url:		http://xchat-gnome.navi.cx/
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-root

Source:		http://flapjack.navi.cx/releases/xchat-gnome/%{name}-%{version}.tar.bz2 
Patch0:		xchat-2.0.4-ctcp_version.patch.bz2
Patch2:		xchat-2.0.8-nicksuffix.patch.bz2
Patch4:		xchat-2.4.1-firefox.patch.bz2
Patch6:		xchat-gnome-ex-nls.patch.bz2

BuildRequires:	bison
Buildrequires:	gtk+2-devel
BuildRequires:	openssl-devel
BuildRequires:	perl-devel
BuildRequires:	python-devel
BuildRequires:	tcl
BuildRequires:  ImageMagick
%if %build_plf
BuildRequires:	socks5-devel
%endif

Conflicts: xchat
# We may want a Provides: xchat-something if generic xchat does it too.

%description
XChat-gnome is a new frontend to the popular X-Chat IRC client which is
designed with the user interface foremost in mind. Historically, the OSS
desktop has been steadily improving in usability, accessibility, and general
slickness, yet the world of IRC clients has not kept up. With IRC being one
of the fundamental methods of communication within the open source community,
it is bizzare that this area has been neglected.

Build Options:
--with plf    Enable SOCKS5 support (need to download from PLF)

%package devel
Summary:	XChat header for plugin development
Group:          Networking/IRC

%description devel
This package contains xchat-plugin.h needed to build external plugins.

%package perl
Summary:	XChat Perl plugin
Group:		Networking/IRC
Requires:	%{name} = %{version}
Requires:	perl-base = %perl_version

%description perl
Provides Perl scripting capability to XChat.

%package python
Summary:	XChat Python plugin
Group:		Networking/IRC
Requires:	%{name} = %{version}

%description python
Provides Python scripting capability to XChat.

%package tcl
Summary:	XChat TCL plugin
Group:		Networking/IRC
Requires:	%{name} = %{version}

%description tcl
Provides tcl scripting capability to XChat.

%package urlscraper
Summary:	XChat URLscraper plugin
Group:		Networking/IRC
Requires:	%{name} = %{version}

%description urlscraper
Provides capability to extract URLs from XChat conversations.

%package notification
Summary:	XChat Notification plugin
Group:		Networking/IRC
Requires:	%{name} = %{version}

%description notification
Provides a notification area icon to XChat.

%prep
%setup -q
%patch0
%patch2 -p1
%patch4 -p0 -b .firefox
%patch6 -p0 -b .nls

%build

# Commented because of build problems on Mandriva 2006 Cooker
#%if %{mdkversion} < 1010
%define __libtoolize /bin/true
#%endif

%configure2_5x  --enable-openssl \
		--enable-ipv6 \
		--enable-hebrew \
		--enable-japanese-conv \
		--enable-python \
		--enable-tcl=%{_libdir} \
		--enable-textfe \
%if %build_plf
		--enable-socks
%endif

%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%find_lang xchat-gnome

mkdir -p %{buildroot}{%{_miconsdir},%{_iconsdir},%{_liconsdir},%{_menudir}}

cp -af src/fe-gnome/data/xchat-gnome.png %{buildroot}%{_liconsdir}/%{iconname}
convert src/fe-gnome/data/xchat-gnome.png -geometry 32x32 %{buildroot}%{_iconsdir}/%{iconname}
convert src/fe-gnome/data/xchat-gnome.png -geometry 16x16 %{buildroot}%{_miconsdir}/%{iconname}

cat > $RPM_BUILD_ROOT%{_menudir}/%{name} << EOF
?package(%name): needs="x11" \
	section="Networking/IRC" \
	title="Chat on IRC" \
	longtitle="%{main_summary}" \
	command="%{_bindir}/%{name}" \
	icon="%{name}.png"
EOF

mkdir -p %{buildroot}%{_includedir}
cp plugins/xchat-plugin.h %{buildroot}%{_includedir}/

%post
%update_menus

%postun
%clean_menus

%clean
rm -fr $RPM_BUILD_ROOT


%files -f xchat-gnome.lang
%defattr(-,root,root)
%doc README ChangeLog faq.html COPYING plugins/plugin20.html
%{_sysconfdir}/gconf/schemas/*
%{_bindir}/xchat
%{_bindir}/xchat-gnome
%{_bindir}/xchat-text
%{_datadir}/applications/xchat-gnome.desktop
%{_datadir}/applications/xchat.desktop
%{_datadir}/pixmaps/xchat.png
%{_datadir}/pixmaps/xchat-gnome.png
%{_datadir}/xchat/*.glade
%{_datadir}/xchat/*.png
%{_datadir}/xchat/*.xml
%_menudir/*
%_iconsdir/%iconname
%_liconsdir/%iconname
%_miconsdir/%iconname  
%dir %{_libdir}/xchat/plugins
%dir %{_libdir}/xchat

%files devel
%defattr(-,root,root)
%{_includedir}/xchat-plugin.h

%files perl
%defattr(-,root,root)
%doc README
%{_libdir}/xchat/plugins/perl.so
%{_libdir}/xchat/plugins/perl.la

%files python
%defattr(-,root,root)
%doc README
%{_libdir}/xchat/plugins/python.so
%{_libdir}/xchat/plugins/python.la

%files tcl
%defattr(-,root,root)
%doc README
%{_libdir}/xchat/plugins/tcl.so
%{_libdir}/xchat/plugins/tcl.la

%files notification
%defattr(-,root,root)
%doc README
%{_libdir}/xchat/plugins/notification.so
%{_libdir}/xchat/plugins/notification.la

%files urlscraper
%defattr(-,root,root)
%doc README
%{_libdir}/xchat/plugins/urlscraper.so
%{_libdir}/xchat/plugins/urlscraper.la


%changelog
* Fri Sep 02 2005 Pascal Terjan <pterjan@mandriva.org> 0.5-1mdk
- 0.5
- Drop P5
- Rediff P6

* Tue Aug 09 2005 Pascal Terjan <pterjan@mandriva.org> 0.4-1mdk
- From Reinout van Schouwen <reinout@cs.vu.nl>
 * XChat-GNOME 0.4
 * URLscraper and notification plugins
 * Conflicts with generic xchat
- Drop P3 (default channel) segfaults with xchat-gnome
- Add P5 from PLD fixing a crash
- Deactivate libtoolize
- Enable i18n (P6). Still does not fully work.
